<?php

Yii::import('application.extensions.my97DatePicker.JMy97DatePicker');

class CDateRangePicker extends CWidget
{
    public $model;
    public $startAttribute;
    public $startHtmlOptions = array();
    public $endAttribute;
    public $endHtmlOptions = array();
    public $template = '{start} - {end}';

    public $options;
    public $htmlOptions = array();

    public function run()
    {
        ob_start();

        $this->widget('JMy97DatePicker', array(
            'model' => $this->model,
            'attribute' => $this->startAttribute,
            'htmlOptions' => $this->startHtmlOptions,
            'options' => $this->options,
        ));

        $start  = ob_get_clean();

        ob_start();

        $this->widget('JMy97DatePicker', array(
            'model' => $this->model,
            'attribute' => $this->endAttribute,
            'htmlOptions' => $this->endHtmlOptions,
            'options' => $this->options,
        ));

        $end  = ob_get_clean();

        echo strtr($this->template, array('{start}'=>$start,'{end}'=>$end));
    }
}